<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>de.hechler.patrick.profiler</groupId>
		<artifactId>patr-java-profiler</artifactId>
		<version>1.3.0</version>
	</parent>

	<artifactId>patr-java-profiler-server</artifactId>
	<packaging>jar</packaging>

	<dependencies>
		<dependency>
			<groupId>de.hechler.patrick.profiler</groupId>
			<artifactId>patr-java-profiler-bootstrap</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>de.hechler.patrick.profiler</groupId>
			<artifactId>patr-java-profiler-agent</artifactId>
			<version>${project.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<version>3.2.0</version>
				<executions>
					<execution>
						<id>attach-distribution</id>
						<phase>package</phase>
						<goals>
							<goal>attach-artifact</goal>
						</goals>
						<configuration>
							<artifacts>
								<artifact>
									<file>${project.basedir}/README.md</file>
									<type>readme.md</type>
								</artifact>
							</artifacts>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.0.2</version>
				<executions>
					<execution>
						<id>copy-resource-one</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>${project.basedir}/target/classes/de/hechler/patrick/profiler/server</outputDirectory>
							<resources>
								<resource>
									<directory>${project.basedir}/..</directory>
									<includes>
										<include>VERSION</include>
									</includes>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
